<?php

namespace lib\Services;

use lib\Entities\KCSEntity as Entity;
use lib\Models\KCSModel as Model;

class KCSService extends CommonService
{
  public function __construct()
  {
    parent::__construct();
  }
  final public function getClassName(): string
  {
    return "KCS";
  }
  final public function getClassPath(): string
  {
    return $this->getClassName();
  }
  public function getModelClass(): string
  {
    return Model::class;
  }
  public function getEntityClass(): string
  {
    return Entity::class;
  }
}
